<html>
<head>
<title>OgreRenderWindow.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreRenderWindow.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreRenderWindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*-------------------------------------------------------------------------</span>
<a name="l00002"></a>00002 <span class="comment">This source file is a part of OGRE</span>
<a name="l00003"></a>00003 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00009"></a>00009 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00010"></a>00010 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00011"></a>00011 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00012"></a>00012 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00013"></a>00013 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00016"></a>00016 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00017"></a>00017 <span class="comment"></span>
<a name="l00018"></a>00018 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00019"></a>00019 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00020"></a>00020 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00021"></a>00021 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00022"></a>00022 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00023"></a>00023 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00024"></a>00024 <span class="comment">THE SOFTWARE</span>
<a name="l00025"></a>00025 <span class="comment">-------------------------------------------------------------------------*/</span>
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef __RenderWindow_H__</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define __RenderWindow_H__</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderTarget_8h.html">OgreRenderTarget.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keyword">namespace </span>Ogre
<a name="l00034"></a>00034 {
<a name="l00062"></a><a class="code" href="classOgre_1_1RenderWindow.html">00062</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>
<a name="l00063"></a>00063     {
<a name="l00064"></a>00064 
<a name="l00065"></a>00065     <span class="keyword">public</span>:
<a name="l00068"></a>00068         <a class="code" href="classOgre_1_1RenderWindow.html" title="Manages the target rendering window.">RenderWindow</a>();
<a name="l00069"></a>00069 
<a name="l00093"></a>00093         <span class="keyword">virtual</span> <span class="keywordtype">void</span> create(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height,
<a name="l00094"></a>00094                 <span class="keywordtype">bool</span> fullScreen, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a> *miscParams) = 0;
<a name="l00095"></a>00095 
<a name="l00103"></a><a class="code" href="classOgre_1_1RenderWindow.html#a86eb81eb4c91ed40d1c509163bcd7264">00103</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFullscreen(<span class="keywordtype">bool</span> fullScreen, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height)
<a name="l00104"></a>00104                 { (void)fullScreen; (void)width; (void)height; }
<a name="l00105"></a>00105         
<a name="l00108"></a>00108         <span class="keyword">virtual</span> <span class="keywordtype">void</span> destroy(<span class="keywordtype">void</span>) = 0;
<a name="l00109"></a>00109 
<a name="l00112"></a>00112         <span class="keyword">virtual</span> <span class="keywordtype">void</span> resize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height) = 0;
<a name="l00113"></a>00113 
<a name="l00118"></a><a class="code" href="classOgre_1_1RenderWindow.html#a756b752e30cad1f8f71b69c86bc2f6f2">00118</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1RenderWindow.html#a756b752e30cad1f8f71b69c86bc2f6f2" title="Notify that the window has been resized.">windowMovedOrResized</a>() {}
<a name="l00119"></a>00119 
<a name="l00122"></a>00122         <span class="keyword">virtual</span> <span class="keywordtype">void</span> reposition(<span class="keywordtype">int</span> left, <span class="keywordtype">int</span> top) = 0;
<a name="l00123"></a>00123 
<a name="l00126"></a><a class="code" href="classOgre_1_1RenderWindow.html#aea281fb3b8079104ea9fa9fbafa4355a">00126</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#aea281fb3b8079104ea9fa9fbafa4355a" title="Indicates whether the window is visible (not minimized or obscured)">isVisible</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00127"></a>00127 
<a name="l00130"></a><a class="code" href="classOgre_1_1RenderWindow.html#af9153ad94900ca36534f25537b35a9cd">00130</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setVisible(<span class="keywordtype">bool</span> visible)
<a name="l00131"></a>00131         { (void)visible; }
<a name="l00132"></a>00132 
<a name="l00135"></a><a class="code" href="classOgre_1_1RenderWindow.html#a29e1b4d902f21a7852dcf01b6b4b94c6">00135</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#a29e1b4d902f21a7852dcf01b6b4b94c6" title="Indicates whether the window was set to hidden (not displayed)">isHidden</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00136"></a>00136 
<a name="l00145"></a><a class="code" href="classOgre_1_1RenderWindow.html#a0a75ba8cfff12c8968411389b0bb7ebe">00145</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setHidden(<span class="keywordtype">bool</span> hidden)
<a name="l00146"></a>00146         { (void)hidden; }
<a name="l00147"></a>00147 
<a name="l00150"></a><a class="code" href="classOgre_1_1RenderWindow.html#a91ac294d89632996384d89bb9e8f6d78">00150</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setVSyncEnabled(<span class="keywordtype">bool</span> vsync)
<a name="l00151"></a>00151         { (void)vsync; }
<a name="l00152"></a>00152 
<a name="l00155"></a><a class="code" href="classOgre_1_1RenderWindow.html#a718bfd2d913dc57e7752e10bd23326f5">00155</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#a718bfd2d913dc57e7752e10bd23326f5" title="Indicates whether vertical sync is activated for the window.">isVSyncEnabled</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00156"></a>00156 
<a name="l00160"></a><a class="code" href="classOgre_1_1RenderWindow.html#af8615122f9bc57a80ffc8c73a75d2852">00160</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setVSyncInterval(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> interval)
<a name="l00161"></a>00161         { (void)interval; }
<a name="l00162"></a>00162 
<a name="l00165"></a><a class="code" href="classOgre_1_1RenderWindow.html#a36088b99de04b65bdfab6ccd2f4be1a3">00165</a>         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1RenderWindow.html#a36088b99de04b65bdfab6ccd2f4be1a3" title="Returns the vertical sync interval.">getVSyncInterval</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> 1; }
<a name="l00166"></a>00166         
<a name="l00167"></a>00167 
<a name="l00170"></a><a class="code" href="classOgre_1_1RenderWindow.html#aa1d3f404a67e4fed5734d953063e6e04">00170</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#aa1d3f404a67e4fed5734d953063e6e04" title="Overridden from RenderTarget, flags invisible windows as inactive.">isActive</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mActive &amp;&amp; isVisible(); }
<a name="l00171"></a>00171 
<a name="l00174"></a>00174         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isClosed(<span class="keywordtype">void</span>) <span class="keyword">const</span> = 0;
<a name="l00175"></a>00175         
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isPrimary(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00183"></a>00183 
<a name="l00186"></a>00186         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isFullScreen(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00187"></a>00187 
<a name="l00191"></a>00191         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getMetrics(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; height, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; colourDepth, 
<a name="l00192"></a>00192             <span class="keywordtype">int</span>&amp; left, <span class="keywordtype">int</span>&amp; top);
<a name="l00193"></a>00193 
<a name="l00195"></a><a class="code" href="classOgre_1_1RenderWindow.html#a2e0b4ac163ad50e5bb0084f75cb8fc5d">00195</a>         <a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> <a class="code" href="classOgre_1_1RenderWindow.html#a2e0b4ac163ad50e5bb0084f75cb8fc5d" title="Override since windows don&#39;t usually have alpha.">suggestPixelFormat</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39caa2fa4ac766d61fa65b4c86ea5c035218" title="3 byte pixel format, 1 byte for red, 1 byte for green, 1 byte for blue">PF_BYTE_RGB</a>; }
<a name="l00196"></a>00196 
<a name="l00199"></a>00199         <span class="keywordtype">bool</span> isDeactivatedOnFocusChange() <span class="keyword">const</span>;
<a name="l00200"></a>00200 
<a name="l00205"></a>00205         <span class="keywordtype">void</span> setDeactivateOnFocusChange(<span class="keywordtype">bool</span> deactivate);
<a name="l00206"></a>00206 
<a name="l00207"></a>00207     <span class="keyword">protected</span>:
<a name="l00208"></a><a class="code" href="classOgre_1_1RenderWindow.html#a913cdbf34559401ae8d58e30fd0dbcd1">00208</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#a913cdbf34559401ae8d58e30fd0dbcd1">mIsFullScreen</a>;
<a name="l00209"></a><a class="code" href="classOgre_1_1RenderWindow.html#a1386d0701cb71090dcd6fbe816f4145f">00209</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#a1386d0701cb71090dcd6fbe816f4145f">mIsPrimary</a>;
<a name="l00210"></a><a class="code" href="classOgre_1_1RenderWindow.html#ab664ec009d4db85cd023efd4c4ecedf7">00210</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1RenderWindow.html#ab664ec009d4db85cd023efd4c4ecedf7">mAutoDeactivatedOnFocusChange</a>;
<a name="l00211"></a><a class="code" href="classOgre_1_1RenderWindow.html#ac6bd29e3557a02f515b9db1283870bce">00211</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1RenderWindow.html#ac6bd29e3557a02f515b9db1283870bce">mLeft</a>;
<a name="l00212"></a><a class="code" href="classOgre_1_1RenderWindow.html#ae819f96d06f38386d36b6d4d0959b1da">00212</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1RenderWindow.html#ae819f96d06f38386d36b6d4d0959b1da">mTop</a>;
<a name="l00213"></a>00213         
<a name="l00217"></a><a class="code" href="classOgre_1_1RenderWindow.html#ac2b8244df3d531c59bbbe475aacc6c07">00217</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1RenderWindow.html#ac2b8244df3d531c59bbbe475aacc6c07" title="Indicates that this is the primary window.">_setPrimary</a>() { mIsPrimary = <span class="keyword">true</span>; }
<a name="l00218"></a>00218         
<a name="l00219"></a><a class="code" href="classOgre_1_1RenderWindow.html#a4966338964dbcd90cba2a6b4bd1b3521">00219</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1Root.html" title="The root class of the Ogre system.">Root</a>;
<a name="l00220"></a>00220     };
<a name="l00224"></a>00224 } <span class="comment">// Namespace</span>
<a name="l00225"></a>00225 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
